package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Elcrec;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface ElcrecMapper {

    int insert(Elcrec record);

    int insertSelective(Elcrec record);

    int updateByPrimaryKeySelective(Elcrec record);

    int updateByPrimaryKey(Elcrec record);

    int deleteByPrimaryKey(Elcrec record);

    int deleteByIds(Collection<Object> collection);

    Elcrec selectByPrimaryKey(Elcrec record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Elcrec> dyncRead(Map<String, Object> dyncMap);

    Elcrec selectByWhere(Elcrec record);

    List<Elcrec> selectBySMC(@Param("sndrcv") String sndrcv, @Param("msgtyp") String msgtyp, @Param("chkdat") Date chkdat);

}